function init(hero) {
    hero.setName("Link");
    hero.setTier(3);
    
    hero.setHelmet("item.superhero_armor.piece.hood");
    hero.setChestplate("Tunic");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addEquipment("fiskheroes:prometheus_sword");
    hero.addEquipment("fiskheroes:compound_bow");
    hero.addEquipment("fiskheroes:quiver");
    
    hero.addAbilities("fiskheroes:retractable_shield", "fiskheroes:archery", "fiskheroes:throwing_stars");
    hero.addAttribute("ARROW_DAMAGE", 0.20, 1);
    hero.addAttribute("BOW_DRAWBACK", 0.8, 1);
    hero.addAttribute("FALL_RESISTANCE", 6.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.5, 0);
    hero.addAttribute("PUNCH_DAMAGE", 2.5, 0);
    hero.addAttribute("SPRINT_SPEED", 0.15, 1);
    hero.addAttribute("SWORD_DAMAGE", 7.0, 0);
    
    hero.addKeyBind("HORIZONTAL_BOW", "key.horizontalBow", 1);
    hero.addKeyBind("UTILITY_RESET", "key.utilityReset", 2);
	hero.addKeyBind("SHIELD", "key.shield", 3);
	
	hero.setHasPermission(hasPermission);
	hero.addAttributeProfile("SHIELD", shieldProfile);
    hero.setAttributeProfile(getAttributeProfile);
}

function hasPermission(entity, permission) {
    return permission == "USE_GRAPPLING_GUN";
}

function shieldProfile(profile) {
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:shield") ? "SHIELD" : null;
}